

/* ---------------------------------------------------------------------
   This program is free software; you can redistribute it and/or modify
   it under the terms of the GNU General Public License as published by
   the Free Software Foundation; either version 2, or (at your option)
   any later version.

   This program is distributed in the hope that it will be useful,
   but WITHOUT ANY WARRANTY; without even the implied warranty of
   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
   GNU General Public License for more details.  

   Copyright (c) 2001-2002 by Michal Ociepka <armadillo@wp.pl>

   For more info:
   http://xdefactor.republika.pl
   --------------------------------------------------------------------- */

#ifdef HAVE_CONFIG_H
#  include <config.h>
#endif

#include <gnome.h>

#include <gtk/gtk.h>
#include <gdk/gdk.h>
#include <fcntl.h>
#include <stdlib.h>
#include <stdio.h>
#include <string.h>
#include <sys/stat.h>
#include <unistd.h>
#include <memory.h>
#include <gnome.h>
#include "callbacks.h"

gint polaczenie;
gchar dynam[1024];
GtkWidget *window;

int
main (int argc, char *argv[])
{
	extern GtkWidget *window;
	GtkWidget *frame1;
	GtkWidget *notebook;
	GtkWidget *label1, *label2, *label3, *label4, *label5, *label6,
		  *label7, *label8;
	GtkWidget *fixed1, *fixed2, *fixed3, *fixed4, *fixed5, *fixed6,
		  *fixed7, *fixed8;


#ifdef ENABLE_NLS
  	bindtextdomain (PACKAGE, PACKAGE_LOCALE_DIR);
  	textdomain (PACKAGE);
#endif

 	 gnome_init ("xdefactor", VERSION, argc, argv);



	
	
	gtk_set_locale();
	gtk_init(&argc, &argv);

	/* window wszystko */
	window = gtk_window_new(GTK_WINDOW_TOPLEVEL);
	gtk_window_set_title(GTK_WINDOW(window), "Project XdeFactor");
	gtk_window_set_default_size(GTK_WINDOW(window), 800, 650);
	gtk_window_set_position(GTK_WINDOW(window), GTK_WIN_POS_CENTER);

	conn_db(0);
	
	if(polaczenie > 0)
		g_print("Polaczenie z baza danych powiodlo sie !!!\n");
	if(polaczenie < 0)
		g_print("Polaczenie z baza danych NIE powiodlo sie");
	if(polaczenie == 0)
		g_print("Polaczenie NIE doszlo do skutku");
		
	/* zamkniecie okna */
	gtk_signal_connect(GTK_OBJECT(window), "destroy", GTK_SIGNAL_FUNC(conn_db), (int *)1);

	gtk_signal_connect(GTK_OBJECT(window), "destroy", GTK_SIGNAL_FUNC(gtk_exit), NULL);

	/* obramowanie */

	gtk_container_set_border_width(GTK_CONTAINER(window), 10);


	/* a teraz ramka :))) tworze i dodaje */
	frame1 = gtk_frame_new("XdeFactor -- program do fakturowania i nie tylko!!");
	gtk_container_add(GTK_CONTAINER(window), frame1);
	
	label1 = gtk_label_new("Fakturowanie");
	label2 = gtk_label_new("Sprzedawca");
	label3 = gtk_label_new("Nabywcy");
	label4 = gtk_label_new("Towary");
	label5 = gtk_label_new("Opakowania");
	label6 = gtk_label_new("Inwestycje");
	label7 = gtk_label_new("Kalkulator");
	label8 = gtk_label_new("Kopia zapasowa");
	
	fixed1 = gtk_fixed_new();
	fixed2 = gtk_fixed_new();
		sp_logo(window, fixed2);
	fixed3 = gtk_fixed_new();
		nabywca(window, fixed3);
	fixed4 = gtk_fixed_new();
		towar(window, fixed4);
	fixed5 = gtk_fixed_new();
		opak(window, fixed5);
	fixed6 = gtk_fixed_new();
		inwest(window, fixed6);
	fixed7 = gtk_fixed_new();
		kalkulator(window, fixed7);
	fixed8 = gtk_fixed_new();
		backup_interface(window, fixed8);

	
	/* dodaje do formy fak */
	fak(fixed1);
	
			
	/* a teraz notebook */
	notebook = gtk_notebook_new();
	gtk_notebook_set_tab_pos(GTK_NOTEBOOK(notebook), GTK_POS_LEFT);
	gtk_notebook_append_page(GTK_NOTEBOOK(notebook), fixed1, label1);
	gtk_notebook_append_page(GTK_NOTEBOOK(notebook), fixed2, label2);
	gtk_notebook_append_page(GTK_NOTEBOOK(notebook), fixed3, label3);
	gtk_notebook_append_page(GTK_NOTEBOOK(notebook), fixed4, label4);
	gtk_notebook_append_page(GTK_NOTEBOOK(notebook), fixed5, label5);
	gtk_notebook_append_page(GTK_NOTEBOOK(notebook), fixed6, label6);
	gtk_notebook_append_page(GTK_NOTEBOOK(notebook), fixed7, label7);
	gtk_notebook_append_page(GTK_NOTEBOOK(notebook), fixed8, label8);
	gtk_container_add(GTK_CONTAINER(frame1), notebook); 

	gtk_widget_show(window);
	gtk_widget_show(frame1);
	gtk_widget_show(notebook);
	gtk_widget_show(fixed1);
	gtk_widget_show(fixed2);
	gtk_widget_show(fixed3);
	gtk_widget_show(fixed4);
	gtk_widget_show(fixed5);
	gtk_widget_show(fixed6);
	gtk_widget_show(fixed7);
	gtk_widget_show(fixed8);

	gtk_notebook_set_page(GTK_NOTEBOOK(notebook), 0);
  gtk_main ();
  return 0;
}

